keywords: ip pbx voip gateway gsm gateway

×

Notice

The forum is in read only mode.
× Questions about VS-GW2120/GW1600/GW1202 and WGW1002G GSM Series VoIP Gateway

Unable to enable echo cancellation

7 years 9 months ago #11149 by mikelog
have a new warrning messages
[Aug 4 17:47:32] WARNING[19413] channel.c: Codec mismatch on channel SIP/10.195.137.205-0000060b setting write format to alaw from unknown native formats 0x0 (nothing)
[Aug 4 17:47:32] WARNING[19413] chan_sip.c: Asked to transmit frame type alaw, while native formats is 0x0 (nothing) read/write = 0x10c
7 years 9 months ago #11150 by mikelog
I've downgrade from 2.3.1 to 2.2.2, because on 2.3.1 firmware I've got a cancel from gsm gateway and not all channel was used
7 years 9 months ago #11151 by mikelog
to disable echo cancell I need edit /etc/asterisk/extra-global.conf ? and set echo echocancel=no
echocancelwhenbridged=no
???
7 years 9 months ago #11152 by lindali
this is not an actual warning. It doesn't matter. Just used to help us debug.
7 years 9 months ago #11153 by lindali
1. "I've downgrade from 2.3.1 to 2.2.2, because on 2.3.1 firmware I've got a cancel from gsm gateway and not all channel was used"
About this problem, please prepare remote access for checking.
2. "where can i find manual for new firmware? I can't find echo cancellation option"
www.openvox.cn/pub/manuals/Release/Engli...%20User%20Manual.pdf
We move echo cancellation option for new firmware. because it has no help as expect.
When use new firmware, you need do nothing for echo cancel.
3. 2.2.2 version is a middle version which is just used for updating. I don't suggest you to use it. If you don't want to use 2.3.1, you can downgrade it to 2.1.3.
4. "after update I have a cyclic auth promt, but gateway doesn't accept my login and password"
New firmware changes the authentication method, you need make sure all boards have same firmware version. Or authentication will fail.
7 years 9 months ago #11154 by mikelog

lindali wrote: 1. "I've downgrade from 2.3.1 to 2.2.2, because on 2.3.1 firmware I've got a cancel from gsm gateway and not all channel was used"
About this problem, please prepare remote access for checking.

TeamViwer session ok?

lindali wrote: We move echo cancellation option for new firmware. because it has no help as expect.
When use new firmware, you need do nothing for echo cancel.

but after update I have a messages about unable to enable echo , and have a some trouble with outgoin calls vi gateway

lindali wrote: 3. 2.2.2 version is a middle version which is just used for updating. I don't suggest you to use it. If you don't want to use 2.3.1, you can downgrade it to 2.1.3.

but this middle is more stable for me...
Time to create page: 0.044 seconds
Powered by Kunena Forum